New Google+ API 2.14.0

This release fixes the recent “Bad Username/Password” problem for Google+, Blogger and YouTube.

If you are using WordPress your site should get the upgraded code with the next API update (2-4 hours). You can speed it up by double clicking the word “API” in the version number on the plugin settings page.

If you use standalone version please download new API files from